Current Price
On this page

Get current price

Returns the latest price for a given trading pair from the configured exchange. For websocket use: wscat -c wss://bitcoin-api.net/api/v1/prices/current?symbol=btcusdt

GET https://bitcoin-api.net/api/v1/prices/current Try it
WS wss://bitcoin-api.net/api/v1/prices/current Try it

Rate Limits

REST 40 req/min WS 2 concurrent

Query Parameters

Parameter Type Required Description
symbol string no

Responses

200 Success Response
{
  // Current price of the trading pair
  "price": "50000.00",
  // ISO 8601 timestamp of the price recording
  "time": "2024-01-01T00:00:00.000Z"
}
400 Bad Request
{
  // Error code
  "code": "VALIDATION_ERROR",
  // Error message
  "message": "querystring/symbol must be equal to one of the allowed values"
}
429 Too Many Requests
{
  // Error code
  "code": "RATE_LIMIT_EXCEEDED",
  // Error message
  "message": "Rate limit exceeded, retry in 1 minute"
}

Related Recipes